#ifndef SURPRISE_H
#define SURPRISE_H

#include <QWidget>
#include <QtGui/QSystemTrayIcon>

class QTimer;

namespace Ui {
    class Surprise;
}

class Surprise : public QWidget
{
    Q_OBJECT

public:
    explicit Surprise(QWidget *parent = 0);
    ~Surprise();

protected:
    void closeEvent(QCloseEvent *);

private:
    Ui::Surprise *ui;
    QTimer *timer;
    QSystemTrayIcon *icon;

private slots:
    void showMessage();
};

#endif // SURPRISE_H
